import javafx.collections.*;
import javafx.geometry.*;  // insets
import javafx.scene.layout.*;
import javafx.scene.paint.Color;
import javafx.scene.control.*;


import javafx.scene.input.*;  // ContextMenu
import javafx.event.EventHandler;


public class MyArtikelPanel {
	private GridPane  gridPane = new GridPane ();
	
	ObservableList<Object> listeArtikel = FXCollections.observableArrayList();
	ObservableList<Object> listeVerkauf = FXCollections.observableArrayList();
	
	private ListView<Object> listviewArtikel = new ListView<Object>() ;	
	private ListView<Object> listviewVerkauf = new ListView<Object>() ;	

	private ContextMenu contextmenu = null;

	
	private Label labelSumme = null;
	
	public MyArtikelPanel() {
		setGUI();
	} // MyArtikelPanel()

	private void setGUI() {
		listviewArtikel.setStyle("-fx-font: 22px \"Serif\";");
		listviewVerkauf.setStyle("-fx-font: 22px \"Serif\";");
		listviewArtikel.getSelectionModel().setSelectionMode(SelectionMode.MULTIPLE);
		listviewVerkauf.getSelectionModel().setSelectionMode(SelectionMode.MULTIPLE);

		listviewArtikel.setItems(listeArtikel );
		listviewVerkauf.setItems(listeVerkauf );

		listviewArtikel.setPlaceholder(new Label("Bitte etwas auswhlen"));		
		listviewVerkauf.setPlaceholder(new Label("Bitte etwas auswhlen"));		
		
		
        listviewArtikel.setOnContextMenuRequested(new EventHandler<ContextMenuEvent>() {
            @Override
           public void handle(ContextMenuEvent event) { 
               contextmenu.show( listviewArtikel, event.getScreenX(), event.getScreenY());
           }
       });
        
		
		
		Button bn2Right = new Button("Nach rechts");
		Button bn2Left = new Button("Nach rechts");

		bn2Right.setOnAction(e->bn2Right_Click());
		bn2Left.setOnAction(e->bn2Left_Click());
		
		bn2Right.setStyle("-fx-font: 22px \"Serif\";");
		bn2Left.setStyle("-fx-font: 22px \"Serif\";");

	labelSumme = new Label("Summe: ");
	labelSumme.setStyle("-fx-font: 22px \"Serif\";");
	BorderPane panelUnten = new BorderPane();
	panelUnten.setMaxHeight(Double.POSITIVE_INFINITY);
	panelUnten.setStyle("-fx-background-color: blue;");
	    
	labelSumme.setTextFill(Color.web("#FF0000"));
	labelSumme.setStyle("-fx-font: 22px \"Serif\";-fx-background-color: #DDDDDD;");

	panelUnten.setMaxWidth(Double.POSITIVE_INFINITY);
	panelUnten.setRight(labelSumme);
	BorderPane.setMargin(labelSumme, new Insets(5, 20, 5, 5) );  // TRBL

	}

	

	public void addArtikel(Object artikel) {
		listeArtikel.add(artikel);
	}	
	private void bn2Right_Click() {
	}
	private void bn2Left_Click() {
	}

	
	public void calcSumme() {
	}


}
